@mixin header-title($color) {
  font-size: 25px;
  color: $color;
  text-transform: uppercase;
  font-weight: bold;
  line-height: 35px;
  font-family: 'Montserrat', sans-serif;
}

@mixin fontParagraph {
  font-size: 15px;
  font-family: 'Lato', sans-serif;
  color: #323232;
  line-height: 20px;
}

@mixin pricing-block_header($backColor) {
  text-transform: uppercase;
  font-size: 18px;
  font-family: 'Montserrat', sans-serif;
  background-color: $backColor;
  text-align: center;
  color: #ffffff;
}

@mixin pricing-block_content($backColor) {
  background-color: $backColor;
  text-align: center;
  color: #ffffff;
}

@mixin pricing-block_dollars($fontSize) {
  font-family: 'Montserrat', sans-serif;
  font-size: $fontSize;
  color: #ffffff;
  margin: 0;
  padding: 30px 0;
}

body {
  font-family: sans-serif;
  min-width: 340px;
}

a {
  text-decoration: none;
}

@media screen and(min-width: 993px) {

}

ul li {
  list-style-type: none
}

.pricing {
  background-color: #4b3b4e;
  background-image: url("../../img/pricing/background1200.png");
  background-repeat: no-repeat;
  background-size: cover;
  margin: 0 auto;
  padding-bottom: 70px;

  &__title {
    @include header-title(rgba(255, 255, 255, 1));
    margin: 0 0 50px 0;
    text-transform: none;
  }

  &-block {
    display: grid;
    grid-template-rows:  1fr 1fr auto 1fr;
    grid-template-columns: 1fr;
    grid-gap: 1vw;
    align-items: center;
    margin: 0 auto;

    &-item {
      display: flex;
      flex-direction: column;
      text-align: center;
      justify-self: center;
      min-width: 90%;
      max-width: 257px;
      min-height: 500px;
      margin-bottom: 14px;

      @include pricing-block_content(rgba(255, 255, 255, 0.11));

      &__title {
        margin: 0;
        padding: 60px 10px;
        @include pricing-block_header(rgba(255, 255, 255, 0.06));
      }

      &__dollars {
        @include pricing-block_dollars(70px);

        span {
          font-weight: bold;
        }
      }

      &__month {
        text-transform: uppercase;
        font-size: 14px;
        color: rgba(255, 255, 255, 0.22);
        margin-bottom: 40px;
      }

      &__license {
        flex-grow: 1;
        padding: 0 10px 35px;
        box-sizing: border-box;

        p {
          line-height: 25px;
        }
      }

      &__button {
        padding: 15px 40px;
        text-transform: uppercase;
        background-color: rgba(255, 255, 255, 0.15);
        text-align: center;
        font-size: 12px;
        border-radius: 25px;
        display: inline-block;
        position: relative;
        margin-top: auto;
        margin-bottom: 20px;
        align-self: center;
        color: white;
      }

      &__button:hover {
        background-color: rgba(255, 255, 255, 0.7);
        color: rgba(127, 109, 120, 255);
      }
    }

    &-item-agency {
      display: flex;
      justify-self: center;

      flex-direction: column;
      min-width: 100%;
      max-width: 290px;
      min-height: 550px;
      margin-bottom: 14px;

      @include pricing-block_content(rgba(0, 0, 0, 0.5));

      &__title {
        margin: 0;
        padding: 70px 50px;
        @include pricing-block_header(rgba(0, 0, 0, 0.11));
      }

      &__dollars {
        @include pricing-block_dollars(80px);

        span {
          font-weight: bold;
        }
      }

      &__month {
        text-transform: uppercase;
        font-size: 14px;
        color: rgba(255, 255, 255, 0.22);
        margin-bottom: 50px;
      }

      &__license {
        flex-grow: 1;
        padding: 0 10px;
        box-sizing: border-box;
        line-height: 25px;
      }

      &__button {
        padding: 20px 50px;
        text-transform: uppercase;
        background-color: rgba(255, 255, 255, 0.15);
        text-align: center;
        font-size: 12px;
        border-radius: 25px;
        display: inline-block;
        position: relative;
        margin-top: auto;
        margin-bottom: 20px;
        align-self: center;
        color: white;
      }

      &__button:hover {
        background-color: rgba(255, 255, 255, 0.7);
        color: rgba(127, 109, 120, 255);
      }
    }

    @media screen and(min-width: 481px) {
      grid-template-rows: 1fr 1fr;
      grid-template-columns: 1fr 1fr;
      grid-gap: 1vw;
      max-width: 720px;

      &-item {
        max-width: 257px;
      }

      &-item-agency {
        max-width: 290px;
      }
    }

    @media screen and(min-width: 993px) {

      grid-template-rows: 1fr;
      grid-template-columns: 1fr 1fr 1fr 1fr;
      grid-gap: 1vw;
      max-width: 1200px;

      &-item {
        min-width: 90%;
        max-width: 257px;
      }
      &-item-agency {
        min-width: 100%;
        max-width: 290px;
      }
    }
  }
}
